### Method

# Camel Stream write_string

#### Declaration [src]

    gssize
    camel_stream_write_string (
      CamelStream* stream,
      const gchar* string,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Writes the string to the stream.

#### Parameters

`string`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gssize`

The number of characters written or -1 on error.